LDD(7)

NIMI
ldd - näytä jaettujen kirjastojen riippuvuudet

YLEISKATSAUS
ldd [-vVdr] ohjelma ...

KUVAUS
ldd näyttää jokaisen komentorivillä annetun ohjelman tarvitsemat jaetut kirjastot.

Jos ohjelma on a.out-muotoa, ldd vain käynnistää jokaisen ohjelman argc:n arvolla 0. ld.so, a.out-ohjelmien jaetut kirjastot normaalisti lataava dynaaminen linkkeri, huomaa tämän erikoistapauksen ja tulostaa riippuvuudet.

ELF-ohjelmat ldd käynnistää sopivilla ympäristömuuttujien arvoilla. ELF-ohjelmien kirjastot normaalisti lataava dynaaminen linkkeri, ld-linux.so, huomioi nämä erikoistapaukset ja tulostaa riippuvuudet.

OPTIOT

-v  tulosta ldd:n versio.

-V  Tulosta linkkerin versio ( ld.so).

-d  Suorita uudelleensijoitukset ja huomauta puuttuvista funktioista (vain ELF).

-r  Suorita uudelleensijoitukset sekä datalle että funktioille ja huomauta kaikista puuttuvista objekteista (vain ELF).

BUGIT
ldd ei toimi joidenkin erittäin vanhojen ohjelmien kanssa, jotka on linkattu ennenkuin ldd-tuki lisättiin kääntäjiin. Jos käytät ldd:tä johonkin näistä ohjelmista, ohjelma yritetään ajaa argc:n arvolla 0 ja tulokset ovat arvaamattomat.

TEKIJÄ
David Engel.

KATSO MYÖS
ldconfig(8), ld.so(8), ld.so.info.